Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine.gui
Class ParameterWizard

    java.lang.Object
      uchicago.src.sim.engine.gui.components.GUIControllerAbstract
          uchicago.src.sim.engine.gui.ParameterWizard

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class ParameterWizard

extends GUIControllerAbstract

GUI controller.

Author:
  wes maciorowski

Field Summary

Fields inherited from class uchicago.src.sim.engine.gui.components.GUIControllerAbstract
`CHANGED_OUTPUT_LOCATION, EXIT, INPUT_OUTPUT_CHANGED, RUN_SIMULATION`

Constructor Summary
`ParameterWizard(ParameterFileListener parameterListener)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `display()` Shows this wizard.
`ParameterData` | `getAParameterData()`
`javax.swing.JDialog` | `getDialog()`
`ParameterWizardPanel` | `getParamWizardPanel()`
`void` | `setAParameterData(ParameterData parameterData)`
`void` | `setDialog(javax.swing.JDialog dialog)`
`void` | `setParamWizardPanel(ParameterWizardPanel parameterWizardFrame)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterWizard

    public ParameterWizard(ParameterFileListener parameterListener)

Method Detail

### display

    public void display()

  Shows this wizard. The wizard is shown modally so this method will not return until the user has had time to create their file.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Parameters:
    `e` -
  See Also:
    `ActionListener.actionPerformed(java.awt.event.ActionEvent)`

### getAParameterData

    public ParameterData getAParameterData()

  Returns:
    Returns the aParameterData.

### setAParameterData

    public void setAParameterData(ParameterData parameterData)

  Parameters:
    `parameterData` - The aParameterData to set.

### getParamWizardPanel

    public ParameterWizardPanel getParamWizardPanel()

  Returns:
    Returns the aParameterWizardFrame.

### setParamWizardPanel

    public void setParamWizardPanel(ParameterWizardPanel parameterWizardFrame)

  Parameters:
    `parameterWizardFrame` - The aParameterWizardFrame to set.

### getDialog

    public javax.swing.JDialog getDialog()

  Returns:
    Returns the dialog.

### setDialog

    public void setDialog(javax.swing.JDialog dialog)

  Parameters:
    `dialog` - The dialog to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD